<?php

namespace Classes;


class Paginator
{
    private \Dibi\Connection $db;
    private int $limit;

    public function __construct($db)
    {
        $this->db = $db;
        $this->setLimit();
        $this->limit = $this->getLimit();
    }

    public function setQueryLimit(\Dibi\Fluent &$query, int $limit = 20, int $offset = 1) : void
    {
        $query->limit($limit)->offset($offset);
    }

    public function getOffset(int $limit, int $page) : int
    {
        $page = ($page <= 0)? 1 : $page;
        return ($page - 1) * $limit;
    }

    public function getLimit() : int
    {
        return $this->limit;
    }

    public function setLimit(int $limit = 20) : void
    {
        $this->limit = $limit;
    }

    public function getNumberOfPages(int $numberOfRows, int $limit) : int
    {
        return ceil($numberOfRows / $limit);
    }

    public function getNumberOfPagesWithDots(int $numberOfRows, int $limit, $page) : int
    {
        $number = ceil($numberOfRows / $limit);

        dump($numberOfRows);
        dump($limit);
        die;

    }
}