<?php
namespace Classes\Registration;

use \Classes\Login\Manager as LManager;
use Classes\StaticFunctions;

class Manager extends \Classes\Dibi
{
    const TABLE = 'tRegistration';
    const PRIMARY = 'id';

    const FK_LOGIN_ID = 'FK_loginID';
    const FIRST_NAME = 'firstName';
    const SUR_NAME = 'surName';
    const STREET = 'street';
    const HOUSE_NUMBER = 'houseNumber';
    const POST = 'post';
    const ZIP_CODE = 'zipCode';
    const BIRTH_DATE = 'birthDate';
    const AGE = 'age';
    const EMAIL = 'email';
    const PHONE = 'phone';

    public function deleteUserData(int $id) : void
    {
        $this->db->delete(self::TABLE)
        ->where('%n = %i', self::FK_LOGIN_ID, $id)
        ->execute();
    }

    public function getDatToEdit(int $userID)
    {
        $query = $this->db->select(self::FIRST_NAME);
        $query->select(self::SUR_NAME);
        $query->select(self::STREET);
        $query->select(self::HOUSE_NUMBER);
        $query->select(self::POST);
        $query->select(self::ZIP_CODE);
        $query->select(self::BIRTH_DATE);
        $query->select(self::AGE);
        $query->select(self::EMAIL);
        $query->select(self::PHONE);
        $query->select(LManager::USER_NAME);
        $query->from(self::TABLE)->as('r');
        $query->leftJoin(LManager::TABLE)->as('l')->on('r.%n = l.%n',
            self::FK_LOGIN_ID, LManager::PRIMARY);
        $query->where('r.%n = %i', self::FK_LOGIN_ID, $userID);

        return $this->getFirst($query);
    }

    public function updateRegistrationData($data)
    {
        $this->db->update(self::TABLE, $data)
            ->where('%n = %i', self::FK_LOGIN_ID, StaticFunctions::getUserID())
            ->execute();
    }
}