<?php
use Classes\DefaultClass;
use Classes\StaticFunctions;
use Classes\Attendance\Manager as AManager;

class Ajax extends DefaultClass
{

    private function sendJSON($data)
    {
        echo json_encode($data);
    }

    public function renderGeneratePassword()
    {
        $this->sendJSON(['password' => StaticFunctions::passwordEncrypt(11)]);
    }

    public function renderShowAttendanceByPage($page) : string
    {
        if($this->getParameter('admin')  == 1)
        {
            return $this->container->getAttendanceFacade()->getAttendanceForAdmin($page, 1,true);
        } else{
            return $this->container->getAttendanceFacade()->getAttendanceForUser($page, 0, true);
        }
    }

    public function renderShowAttendanceFilteredByPage($page) : string
    {
        $filters = $this->getFilters();

        if($this->getParameter('working')  == 1)
        {
            return $this->container->getAttendanceFacade()->getWorkingHourData($page, $filters,true);
        } else{
            return $this->container->getAttendanceFacade()->getAttendanceForReport($page, $filters, 0, true);
        }
    }

    public function renderDeleteAttendance($attendanceID) : string
    {
        $this->container->getAttendanceManager()->deleteByPrimary($attendanceID);
        if($this->getParameter('admin')  == 1)
        {
            return $this->container->getAttendanceFacade()->getAttendanceForAdmin(1, 1,true);
        } else{
            return $this->container->getAttendanceFacade()->getAttendanceForUser(1, 0, true);
        }
    }

    public function renderChangeAttendanceState($attendanceID) : string
    {
        $this->container->getAttendanceManager()->managerUpdate([AManager::STATE => 1], $attendanceID);
        return $this->container->getAttendanceFacade()->getAttendanceForAdmin(1,1,true);
    }

    public function renderGetUserAttendance($attendanceID)
    {
        $this->sendJSON($this->container->getAttendanceManager()->getAllByPrimary($attendanceID));
    }

    public function renderSetExcelFilters() : string
    {
        return $this->container->getAttendanceFacade()->getAttendanceForReport(1, $this->getFilters(), 0,true);
    }

    public function renderSetWorkExcelFilters() : string
    {
        return $this->container->getAttendanceFacade()->getWorkingHourData(1, $this->getFilters(), true);
    }

    public function renderChangeEntry($userID) : string
    {
        return $this->container->getLoginFacade()->changeEntry($userID);
    }

    public function renderFindFiles($userID): string
    {
        return $this->container->getFileFacade()->getFilesByUser($userID);
    }

    public function renderDeleteFile(): string
    {
        $this->container->getFileFacade()->deleteFile($this->getParameter('fileID'));
        return $this->container->getFileFacade()->getFilesByUser($this->getParameter('userID'));
    }

    public function renderChangeReportView() : string
    {
        StaticFunctions::setWorkingHourReportType();
        return $this->container->getAttendanceFacade()->getWorkingHourData(1, $this->getFilters(), true);
    }

    private function getFilters() : array
    {
        return [
            'program' => $this->getParameter('program') != ""? $this->getParameter('program') : null,
            'month' => $this->getParameter('month')? : null,
            'user' => $this->getParameter('user')? : null,
            'contract' => $this->getParameter('contract')? : null,
            'year' => $this->getParameter('year')? : null
        ];
    }
}