<?php

use Classes\Attendance\Manager as AManager;
use Classes\DateTimeUtil;

class Api extends \Classes\DefaultClass
{
    private function sendJSON($data)
    {
        echo json_encode($data);
    }

    public function renderDefault()
    {
        $timeFrom = new DateTimeUtil('2022-02-19 18:00');
        $timeTo = new DateTimeUtil('2022-02-19 18:15');

        dump($timeFrom);
        dump($timeTo);
        dump($timeFrom->diff($timeTo));
        dump(date_diff($timeFrom, $timeTo));
        dump(($timeTo->getTimestamp() - $timeFrom->getTimestamp()) / 60 / 60);
        die;
    }

    public function renderLogin()
    {
        $userName = $this->getParameter('name') ?: 'Nuimi';
        $password = $this->getParameter('password') ?: 'Dd123456';
        $this->sendJSON($this->container->getLoginFacade()->login($userName, $password));
    }

    public function renderAddAttendance()
    {
        $createdDT = new DateTimeUtil();
        $createdA = new DateTimeUtil($this->getParameter('date'));

        $program = $this->getParameter('programValue');

        $timeFrom = new DateTimeUtil();
        $timeFrom->modify($this->getParameter('timeFrom'));
        $timeTo = new DateTimeUtil();
        $timeTo->modify($this->getParameter('timeTo'));


        $attendance[AManager::FK_USER_ID] = $this->getParameter('userID');
        $attendance[AManager::PROGRAM] = AManager::PROGRAM_DICTIONARY_REVERSE[$program];
        $attendance[AManager::MONTH] = $createdA->format('m');
        $attendance[AManager::WORK_HOURS] = ($timeTo->getTimestamp() - $timeFrom->getTimestamp()) / 60 / 60;
        $attendance[AManager::WORK_FROM] = $timeFrom;
        $attendance[AManager::WORK_TO] = $timeTo;
        $attendance[AManager::DESCRIPTION] = $this->getParameter('activity');
        $attendance[AManager::DATE] = $createdA->getDateFormat();
        $attendance[AManager::YEAR] = $createdA->format('Y');
        $attendance[AManager::CREATE_DT] = $createdDT->getDateTimeFormat();
        $attendance[AManager::STATE] = 0;

        $this->sendJSON(['result' => $this->container->getAttendanceManager()->managerInsert($attendance)]);
    }

    public function renderGetAttendance()
    {
        $userID = $this->getParameter('userID');
        $this->sendJSON(['data' => $this->container->getAttendanceFacade()->getApiAttendance($userID)]);
    }

}